ixfr_struct Struct Reference

`#include <ixfr.h>`

## Data Fields

part_type * | part [IXFR_MAX_PARTS]
pthread_mutex_t | ixfr_lock

## Detailed Description

IXFR Journal.

Definition at line 62 of file ixfr.h.

## Field Documentation

## ixfr_lock

pthread_mutex_t ixfr_struct::ixfr_lock

Definition at line 64 of file ixfr.h.

Referenced by adapi_printixfr(), backup_read_ixfr(), ixfr_create(), namedb_wipe_denial(), rrset_diff(), rrset_drop_rrsigs(), rrset_sign(), tools_output(), and zone_recover2().

## part

part_type* ixfr_struct::part[IXFR_MAX_PARTS]

Definition at line 63 of file ixfr.h.

Referenced by addns_write().

The documentation for this struct was generated from the following file:

- src/signer/ixfr.h